Option Strict Off
Option Explicit On
Imports VB = Microsoft.VisualBasic

Friend Class Form1
    Inherits System.Windows.Forms.Form


    Private CallBack As New FN_SK_DV_CONTFEED_CALLBACK(AddressOf ContFeed_Callback)


    'Load Form
    Private Sub Form1_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
        hSkDevice = 0
    End Sub


    'Unload
    Private Sub Form1_FormClosing(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Dim Cancel As Boolean = eventArgs.Cancel
        Dim UnloadMode As System.Windows.Forms.CloseReason = eventArgs.CloseReason
        'Disable close during operation
        If 0 <> hSkDevice Then
            Cancel = True
        End If
        eventArgs.Cancel = Cancel
    End Sub


    'RunContFeed button
    Private Sub Command_RunContFeed_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Command_RunContFeed.Click
        'Button enable setting
        Command_RunContFeed.Enabled = False
        Command_Cancel.Enabled = True

        'Set Caption
        Label_Status.Text = "ContFeed"
        Label_FeedCount.Text = "0"

        'Run ContFeed
        RunContFeed()

    End Sub

    'Cancel button
    Private Sub Command_Cancel_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Command_Cancel.Click
        'Send a cancel command if it is running
        If 0 <> hSkDevice Then
            SkDv_ReqContFeed_Cancel(hSkDevice)
        End If
    End Sub



    'ContFeed
    Private Sub RunContFeed()
        Dim CallFuncName As String = ""
        Dim SkDvStatus As Integer
        Dim iFace As Integer

        '----------------------------------
        'Open communication
        SkDvStatus = SkDv_OpenSingle(hSkDevice)
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            CallFuncName = "SkDv_OpenSingle"
            GoTo ERROR_HANDLER
        End If

        '----------------------------------
        'Init OMR
        SkDvStatus = SkDv_ReqInit(hSkDevice)
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            CallFuncName = "SkDv_ReqInit"
            GoTo ERROR_HANDLER
        End If

        '----------------------------------
        'Get Device info
        Dim DeviceInfo As New SK_DV_DEVICE_INFO
        SkDvStatus = SkDv_GetInfo(hSkDevice, DeviceInfo)
        If (SKDV_STS_SUCCESS <> SkDvStatus) Then
            CallFuncName = "SkDv_GetInfo"
            GoTo ERROR_HANDLER
        End If

        '----------------------------------
        'Mark Setting
        Dim DvMarkConf As SK_DV_MARK_CONF

        SkDvStatus = SkDv_GetMarkConf(hSkDevice, DvMarkConf)
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            CallFuncName = "SkDv_GetMarkConf"
            GoTo ERROR_HANDLER
        End If
        DvMarkConf.iBackSideReading = SKDV_DISABLE

        SkDvStatus = SkDv_SetMarkConf(hSkDevice, DvMarkConf)
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            CallFuncName = "SkDv_SetMarkConf"
            GoTo ERROR_HANDLER
        End If

        '----------------------------------
        'Image Setting
        Dim SkDvImageConfEx As SK_DV_IMAGE_CONF_EX = New SK_DV_IMAGE_CONF_EX

        SkDvStatus = SkDv_GetImageConfEx(hSkDevice, SkDvImageConfEx)
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            CallFuncName = "SkDv_GetImageConfEx"
            GoTo ERROR_HANDLER
        End If

        For iFace = SKDV_FRONT To SKDV_BACK
            SkDvImageConfEx.Face(iFace).iEnable = SKDV_ENABLE
            SkDvImageConfEx.Face(iFace).iColorType = SKDV_LIGHT_GRAYSCALE
            SkDvImageConfEx.Face(iFace).iEncoder = SKIM_ENCODE_JPEG
            SkDvImageConfEx.Face(iFace).iParam = 85
            SkDvImageConfEx.Face(iFace).iRotate = SKIM_IMAGE_ROTATE_0
            SkDvImageConfEx.Face(iFace).iResoMode = SKDV_RESO_TYPE_300DPI
            SkDvImageConfEx.Face(iFace).iResolution = 300
        Next iFace

        SkDvStatus = SkDv_SetImageConfEx(hSkDevice, SkDvImageConfEx)
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            CallFuncName = "SkDv_SetImageConfEx"
            GoTo ERROR_HANDLER
        End If

        '----------------------------------
        'BCR setting
        Dim BcrConfEx As SK_DV_OPT_BCR_CONF_EX = New SK_DV_OPT_BCR_CONF_EX

        SkDvStatus = SkDv_GetBcrConfEx(hSkDevice, BcrConfEx)
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            CallFuncName = "SkDv_GetBcrConfEx"
            GoTo ERROR_HANDLER
        End If

        BcrConfEx.iScanningSide = SKDV_SIDE_FRONT
        BcrConfEx.iColorType = SKDV_LIGHT_GRAYSCALE
        BcrConfEx.iAreaNumber = 1
        BcrConfEx.Area(0).dwEnableBcType = SKDV_BCR_QR
        BcrConfEx.Area(0).iCheckDigit = 0
        BcrConfEx.Area(0).iOption = 0
        BcrConfEx.Area(0).rectFrect.left = 450
        BcrConfEx.Area(0).rectFrect.top = 120
        BcrConfEx.Area(0).rectFrect.right = 860
        BcrConfEx.Area(0).rectFrect.bottom = 530

        SkDvStatus = SkDv_SetBcrConfEx(hSkDevice, BcrConfEx)
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            CallFuncName = "SkDv_SetBcrConfEx"
            GoTo ERROR_HANDLER
        End If

        '----------------------------------
        'Pritner setting
        Dim PrnConf As SK_DV_OPT_PRN_CONF = New SK_DV_OPT_PRN_CONF

        SkDvStatus = SkDv_GetPrinterConf(hSkDevice, PrnConf)
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            CallFuncName = "SkDv_GetPrinterConf"
            GoTo ERROR_HANDLER
        End If

        PrnConf.iEnable = SKDV_TRUE

        SkDvStatus = SkDv_SetPrinterConf(hSkDevice, PrnConf)
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            CallFuncName = "SkDv_SetPrinterConf"
            GoTo ERROR_HANDLER
        End If

        SkDvStatus = SkDv_ReqPrintString(hSkDevice, "ABCDEFG")
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            CallFuncName = "SkDv_ReqPrintString"
            GoTo ERROR_HANDLER
        End If

        '----------------------------------
        'Set callback function for ContFeed
        SkDv_RegistPrintEjectCallback(hSkDevice, CallBack, 0)

        '----------------------------------
        'Run ContFeed
        SkDvStatus = SkDv_ReqContFeedSheet(hSkDevice, SKDV_CONT_FEED_REQ_PE_CMD Or SKDV_CONT_FEED_REQ_LATE_STOP Or SKDV_CONT_FEED_REQ_LATE_REJECT, SKDV_ENABLE)
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            CallFuncName = "SkDv_ReqContFeedSheet"
            GoTo ERROR_HANDLER
        End If

        '----------------------------------
        'Run Worker thread
        BackgroundWorker_ContFeedData.RunWorkerAsync()

        Exit Sub

        '----------------------------------
        'Finish error process
ERROR_HANDLER:
        If 0 <> hSkDevice Then
            Do While (True = SkDv_IsContFeedRunning(hSkDevice))
            Loop
            SkDv_Close(hSkDevice)
            hSkDevice = 0
        End If
        If SKDV_STS_SUCCESS <> SkDvStatus Then
            Label_Status.Text = "Status:0x" & Hex(SkDvStatus)
            MsgBox("Status:0x" & Hex(SkDvStatus), MsgBoxStyle.Critical, CallFuncName)
        End If
    End Sub


    'WorkerThread Progress
    Private Sub BackgroundWorker_ContFeedData_ProgressChanged(ByVal sender As System.Object, ByVal e As System.ComponentModel.ProgressChangedEventArgs) Handles BackgroundWorker_ContFeedData.ProgressChanged
        Dim strMessage As String = e.UserState

        If 0 <= e.ProgressPercentage Then
            Label_FeedCount.Text = Str(e.ProgressPercentage)
            Label_Status.Text = strMessage
        Else
            'Button enable setting
            Command_Cancel.Enabled = False
            Command_RunContFeed.Enabled = True
        End If
    End Sub


    'WorkerThread Continuous feed data
    Private Sub BackgroundWorker_ContFeedData_DoWork(ByVal sender As System.Object, ByVal e As System.ComponentModel.DoWorkEventArgs) Handles BackgroundWorker_ContFeedData.DoWork
        'Cont Feed Data
        Do
        Loop While (False = ProcContFeedData())

        'Finish process
        If 0 <> hSkDevice Then
            SkDv_Close(hSkDevice)
            hSkDevice = 0
        End If

        BackgroundWorker_ContFeedData.ReportProgress(-1)
    End Sub


    'Continuous feed data processing
    Private Function ProcContFeedData() As Boolean
        Static iFeedCount As Integer
        Static iSeq As Integer
        Static iFace As Integer
        Static iBcCount As Integer
        Static iBcIndex As Integer

        Dim Filename As String

        ProcContFeedData = False

        Select Case iSeq
            Case 0 ' Check data
                If (SKDV_FALSE <> SkDv_IsContFeedDataFinished(hSkDevice)) Then
                    ProcContFeedData = True
                ElseIf SKDV_FALSE <> SkDv_ExistDoneData(hSkDevice) Then
                    iSeq = 1
                End If

            Case 1 'Prepare ContData
                SkDv_PrepareContData(hSkDevice)
                iFeedCount = SkDv_GetContDataNumber(hSkDevice)
                BackgroundWorker_ContFeedData.ReportProgress(iFeedCount)
                iFace = SKDV_FRONT
                iSeq = 2

            Case 2 'Mark Data
                Dim MarkInfo As New SK_DV_MARK_INFO
                Dim Marks(SKDV_COL_MAX * SKDV_ROW_MAX) As Byte
                Dim MarkSize As Integer

                MarkInfo.iColumns = 0
                MarkInfo.iRows = 0
                MarkSize = SKDV_COL_MAX * SKDV_ROW_MAX
                If SKDV_TRUE = SkDv_GetContDataMarks(hSkDevice, iFace, MarkInfo, Marks(0), MarkSize) Then

                    Filename = My.Application.Info.DirectoryPath & "\" & VB.Right("000" & Trim(CStr(iFeedCount)), 3) & IIf(SKDV_FRONT = iFace, "MarkF", "MarkB") & ".csv"
                    SaveMarkData(MarkInfo, Marks, Filename)
                End If

                If SKDV_FRONT = iFace Then
                    iFace = SKDV_BACK
                Else
                    iSeq = 3
                End If

            Case 3 'BC count
                iBcCount = 0
                SkDv_GetContDataBarcodesCount(hSkDevice, iBcCount)

                iBcIndex = 1
                If 0 = iBcCount Then
                    iFace = SKDV_FRONT
                    iSeq = 5
                Else
                    iFace = SKDV_FRONT
                    iSeq = 4
                End If

            Case 4 'BC data
                Dim cBcType As Byte
                Dim szBarcode(256 + 32) As Byte
                Dim iDataLen As Integer

                iDataLen = 256 + 32
                If SKDV_TRUE = SkDv_GetContDataBarcodesData(hSkDevice, iBcIndex, cBcType, szBarcode(0), iDataLen) Then
                    Filename = My.Application.Info.DirectoryPath & "\" & VB.Right("000" & Trim(CStr(iFeedCount)), 3) & "Bc" & Trim(CStr(iBcIndex)) & ".txt"
                    SaveBcData(cBcType, szBarcode, iDataLen, Filename)
                End If

                iBcIndex = iBcIndex + 1
                If iBcIndex > iBcCount Then
                    iFace = SKDV_FRONT
                    iSeq = 5
                End If

            Case 5 'Jpeg image
                Filename = My.Application.Info.DirectoryPath & "\" & VB.Right("000" & Trim(CStr(iFeedCount)), 3) & IIf(SKDV_FRONT = iFace, "ImageF", "ImageB") & ".jpg"
                SkDv_SaveContJpegImage(hSkDevice, iFace, Filename)

                If SKDV_FRONT = iFace Then
                    iFace = SKDV_BACK
                Else
                    iSeq = 6
                End If

            Case 6 'Sheet result
                Dim SheetResult As New SK_SHEET_RESULT

                If SKDV_TRUE = SkDv_GetContDataSheetResult(hSkDevice, SheetResult) Then
                    BackgroundWorker_ContFeedData.ReportProgress(iFeedCount, "Status:0x" & Hex(SheetResult.DvStatus))

                    If 1 <> SheetResult.iFinish Then
                        iSeq = 0
                    Else
                        iSeq = 7
                    End If
                End If

            Case 7 'ContFeed result
                Dim ContFeedResult As New SK_CONT_FEED_RESULT

                If SKDV_TRUE = SkDv_GetContFeedResult(hSkDevice, ContFeedResult) Then
                    If (SKDV_FALSE <> SkDv_IsContFeedDataFinished(hSkDevice)) Then
                        ProcContFeedData = True
                    End If
                    iSeq = 0

                    Dim strStatus As String = ""
                    If SKDV_STS_DEVICE_ST_Q1 = (ContFeedResult.DvStatus And SKDV_STS_DEVICE_STA_MASK) Then
                        MessageBox.Show("Hopper Empty")
                    Else
                        Select Case ContFeedResult.iResult
                            Case SKDV_CFR_NORMAL : strStatus = "Success"
                            Case SKDV_CFR_ERROR : strStatus = "Error"
                            Case SKDV_CFR_WINDOW_NG : strStatus = "Window is NG"
                            Case SKDV_CFR_CANCEL : strStatus = "Cancel"
                            Case Else : strStatus = "Other"
                        End Select
                        BackgroundWorker_ContFeedData.ReportProgress(iFeedCount, strStatus & "  Status:0x" & Hex(ContFeedResult.DvStatus))
                    End If
                End If
        End Select

    End Function


    'Save Markdata
    Private Sub SaveMarkData(ByRef pMarkInfo As SK_DV_MARK_INFO, ByRef pMarks() As Byte, ByRef szFilename As String)
        Dim fileNumber As Integer
        Dim iCol As Integer
        Dim iRow As Integer
        Dim iMarkPos As Integer

        fileNumber = FreeFile()
        FileOpen(fileNumber, szFilename, OpenMode.Output)

        For iCol = 0 To pMarkInfo.iColumns - 1
            Print(fileNumber, "," & Trim(Str(iCol + 1)))
        Next iCol
        Print(fileNumber, vbCrLf)

        iMarkPos = 0
        For iRow = 0 To pMarkInfo.iRows - 1
            Print(fileNumber, Trim(Str(iRow + 1)))
            For iCol = 0 To pMarkInfo.iColumns - 1
                Print(fileNumber, "," & Trim(Str(pMarks(iMarkPos))))
                iMarkPos = iMarkPos + 1
            Next iCol
            Print(fileNumber, vbCrLf)
        Next iRow

        FileClose(fileNumber)
    End Sub


    'Save BcData
    Private Sub SaveBcData(ByRef pcBcType As Byte, ByRef pszBarcode() As Byte, ByRef iDataLen As Integer, ByRef szFilename As String)
        Dim fileNumber As Integer

        fileNumber = FreeFile()
        FileOpen(fileNumber, szFilename, OpenMode.Output)

        Print(fileNumber, Chr(pcBcType) & ",")
        Print(fileNumber, VB.Left(System.Text.UnicodeEncoding.UTF8.GetString(pszBarcode), iDataLen))

        FileClose(fileNumber)
    End Sub

End Class