Option Strict Off
Option Explicit On
Imports System.Runtime.InteropServices

Module SkDvSr11000Prm




    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '// Cont Feed Request Data
    '//  SkDv_ReqContFeedSheet - dwReqData
    Public Const SKDV_CONT_FEED_REQ_NORMAL As Integer = &H0                     '// Continuous reading
    Public Const SKDV_CONT_FEED_REQ_SHEET_12INCHES_OVER As Integer = &H6000     '// Specify to 12 inches over the sheet size
    Public Const SKDV_CONT_FEED_REQ_SHEET_12INCHES_BELOW As Integer = &H2000    '// Specify to 12 inches below the sheet size

    Public Const SKDV_CONT_FEED_REQ_PE_CMD As Integer = &H800                   '// Use the print and eject command  (for SR-8000HYBRID)
    Public Const SKDV_CONT_FEED_REQ_LATE_STOP As Integer = &H400                '// If PE command are late, stop     (for SR-8000HYBRID)
    Public Const SKDV_CONT_FEED_REQ_LATE_PRINT As Integer = &H200               '// If PE command are late, print    (for SR-8000HYBRID)
    Public Const SKDV_CONT_FEED_REQ_LATE_REJECT As Integer = &H100              '// If PE command are late, reject   (for SR-8000HYBRID)




    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '//
    '//  SK_SHEET_RESULT.iStackedId
    Public Const SKDV_RESULT_STK_NONE As Integer = 0                '// Waste not paper
    Public Const SKDV_RESULT_STK_MAIN As Integer = 1                '// Main paper ejection
    Public Const SKDV_RESULT_STK_SELECTION As Integer = 2           '// Select paper ejection
    Public Const SKDV_RESULT_STK_CNT As Integer = 3                 '// Type the number of



    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '// As a result of continuous transfer
    '//  SK_CONT_FEED_RESULT.iResult
    Public Const SKDV_CFR_NORMAL As Integer = 0                     '// Normal
    Public Const SKDV_CFR_ERROR As Integer = 1                      '// Abnormal termination
    Public Const SKDV_CFR_WINDOW_NG As Integer = 2                  '// Termination decision window
    Public Const SKDV_CFR_CANCEL As Integer = 3                     '// Termination due to cancellation



    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '// Option of Continuous feed printing
    <StructLayout(LayoutKind.Sequential)> _
    Public Structure SK_CONT_FEED_PRN_OPT
        Dim iDigits As Integer                                      '// Specified number of digits serial number
        Dim iStartNumber As Integer                                 '// Initial sequence number value
    End Structure


    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '// Barcode data reault
    <StructLayout(LayoutKind.Sequential)> _
    Public Structure SK_DV_BARCODE_RESULT
        Dim iResult As Integer                                      '// Read results
        Dim iCount As Integer                                       '// Number of Bar code
    End Structure


    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '// Sheet Result
    <StructLayout(LayoutKind.Sequential)> _
    Structure SK_CONT_FEED_NGWINDOW
        Dim iCount As Integer                                       '// The total number of NG window
        Dim iIndex As Integer                                       '// NG first window number(0~)
        Dim iPartIndex As Integer                                   '// NG Pateishon first number(0~)
        Dim iReason As Integer                                      '// NG first reason
    End Structure

    <StructLayout(LayoutKind.Sequential)> _
    Public Structure SK_SHEET_RESULT
        Dim DvStatus As Integer                                     '// Status when read
        Dim iSheetCount As Integer                                  '// Count form
        <MarshalAs(UnmanagedType.ByValArray, SizeConst:=SKDV_FACE_NUM)> _
        Dim iTmCount() As Integer                                   '// Number of timing marks
        Dim iBarcodeCount As Integer                                '// Number of Bar code
        Dim iId As Integer                                          '// ID number
        Dim iPrinted As Integer                                     '// Printing results
        Dim iStackedId As Integer                                   '// Dest
        Dim dwResult As Integer                                     '// Result notification
        Dim iFinish As Integer                                      '// Notice of termination
        Dim iIdResult As Integer                                    '// ID recognition results
        Dim NgWindow As SK_CONT_FEED_NGWINDOW                       '// NG detail window
    End Structure



    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '// Feed cont Result
    <StructLayout(LayoutKind.Sequential)> _
    Public Structure SK_CONT_FEED_RESULT
        Dim DvStatus As Integer                                     '// The final status of the continuous reading
        Dim iResult As Integer                                      '// Continuous data processing completion notification
        Dim Remain As SK_CONT_FEED_RESULT_REMAIN                    '// (Internal data)
    End Structure

    <StructLayout(LayoutKind.Sequential)> _
    Public Structure SK_CONT_FEED_RESULT_REMAIN
        Dim iRead As Integer                                            '// (Internal data)
        Dim iPrint As Integer                                           '// (Internal data)
        Dim iEject As Integer                                           '// (Internal data)
    End Structure


    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '// Sheet count for Cont feed
    <StructLayout(LayoutKind.Sequential)> _
    Public Structure SK_CONT_FEED_COUNT
        Dim iFeed As Integer                                        '// Number of paper feed implementation
        Dim iNormal As Integer                                      '// Number of normal read
        Dim iPrint As Integer                                       '// Number of print reading
        <MarshalAs(UnmanagedType.ByValArray, SizeConst:=SKDV_RESULT_STK_CNT)> _
        Dim iEject() As Integer                                     '// Number of waste paper
        '                                                                    // 0:Waste not paper
        '                                                                    // 1:Main Stacker
        '                                                                    // 2:Select Stacker
        Dim iUntreated As Integer                                   '// Number of untreated waste paper
    End Structure


    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '// Instructions Print Eject for ContFeed        (SR-8000HYBRID)
    <StructLayout(LayoutKind.Sequential)> _
    Public Structure SK_DV_REQ_PRINT_EJECT
        Dim iStop As Integer                                        '// Stop ContFeed
        Dim iPrint As Integer                                       '// Print
        Dim iReject As Integer                                      '// Reject
        <MarshalAs(UnmanagedType.ByValArray, SizeConst:=SKDV_PRINT_BUFFER_SIZE)> _
        Dim szString() As Char                                      '// (reserved)
    End Structure
End Module