Option Strict Off
Option Explicit On
Module SkDvSrSeriesErr
    '//*************+***************+***************+***************+***************+
    '//
    '// SEKONIC
    '// Device control Error code header
    '//
    '// FileName        : SkDvSr3500Err.h
    '// CPU             : x86
    '// Compiler        : Microsoft Visual C++ 6.0 or later
    '//
    '//*************+***************+***************+***************+***************+
    '// 2012.03.15      for New Sample Program
    '// 2012.01.11      Into English
    '// 2011.10.27      for SR-3500 HYBRID
    '//*************+***************+***************+***************+***************+


    '//*************+***************+***************+***************+***************+
    '// define / typedef
    '//*************+***************+***************+***************+***************+

    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '// Status info  Lib "SkDvSrSeries.dll" (SkDvStatus)
    Public Const SKDV_STS_MODULE_MASK As Integer = &HFFFF0000       '// Bit mask of Module definition sector
    Public Const SKDV_STS_MODULE As Integer = &H20310000            '// This module
    Public Const SKDV_STS_MODULE_IO As Integer = &H20210000         '// The lower basic communication library
    Public Const SKDV_STS_DEVICE_ERR As Integer = &H20020000        '// Error from Device


    '//-----+-------+-------+-------+-------+-------+-------+-------+
    Public Const SKDV_STS_SUCCESS As Integer = &H0                  '// Success

    Public Const SKDV_STS_EXECUTE_ERR As Integer = &H20310001       '// WindowAPI Execution error
    Public Const SKDV_STS_CREATE_EVENT_ERR As Integer = &H20310006  '// Create Event Error
    Public Const SKDV_STS_CREATE_THREAD_ERR As Integer = &H20310007 '// Create Thread Error
    Public Const SKDV_STS_WAIT_TIMEOUT As Integer = &H2031000F      '// Timeout

    Public Const SKDV_STS_HANDLE_ERR As Integer = &H20311001        '// Handle Error
    Public Const SKDV_STS_MEM_ALLOC_ERR As Integer = &H20311002     '// Memory Allocation Error
    Public Const SKDV_STS_LOAD_SUBLIB_ERR As Integer = &H20311003   '// Load Sub library Error

    Public Const SKDV_STS_PARAM_ERR As Integer = &H20311010         '// Parameter Incorrect
    Public Const SKDV_STS_PARAM_ERR1 As Integer = &H20311011        '// Parameter 1 Incorrect
    Public Const SKDV_STS_PARAM_ERR2 As Integer = &H20311012        '// Parameter 2 Incorrect
    Public Const SKDV_STS_PARAM_ERR3 As Integer = &H20311013        '// Parameter 3 Incorrect
    Public Const SKDV_STS_PARAM_ERR4 As Integer = &H20311014        '// Parameter 4 Incorrect
    Public Const SKDV_STS_PARAM_ERR5 As Integer = &H20311015        '// Parameter 5 Incorrect
    Public Const SKDV_STS_PARAM_ERR6 As Integer = &H20311016        '// Parameter 6 Incorrect
    Public Const SKDV_STS_PARAM_ERR7 As Integer = &H20311017        '// Parameter 7 Incorrect
    Public Const SKDV_STS_PARAM_ERR8 As Integer = &H20311018        '// Parameter 8 Incorrect
    Public Const SKDV_STS_PARAM_ERR9 As Integer = &H20311019        '// Parameter 9 Incorrect
    Public Const SKDV_STS_FUNCTION_ERR As Integer = &H2031101F      '// API Function Error

    Public Const SKDV_STS_PARAM_ERR_SCANNINGSIDE As Integer = &H20311011    '// Parameter Error Back side scanning
    Public Const SKDV_STS_PARAM_ERR_SCAN_CTRL As Integer = &H20311012       '// Parameter Error Scanning Control
    '// Public Const    SKDV_STS_PARAM_ERR_FEED_CTRL    = &H20311013        '//  Lib "SkDvSrSeries.dll" (Reserved)Parameter Error Feed Control
    '// Public Const    SKDV_STS_PARAM_ERR_THICKNESS    = &H20311014        '//  Lib "SkDvSrSeries.dll" (Reserved)Parameter Error Thickness
    Public Const SKDV_STS_PARAM_ERR_FORMLENGTH_MAX As Integer = &H20311014  '// Parameter Error MAX Form Length
    Public Const SKDV_STS_PARAM_ERR_FORMLENGTH_MIN As Integer = &H20311015  '// Parameter Error MIN Form Length
    Public Const SKDV_STS_PARAM_ERR_CIS_LIGHT As Integer = &H20311016       '// CIS Light Incorrect Lib "SkDvSrSeries.dll" (+iFace)
    Public Const SKDV_STS_PARAM_ERR_CIS_LIGHT_F As Integer = &H20311016     '// CIS Light Incorrect  Lib "SkDvSrSeries.dll" (F)
    Public Const SKDV_STS_PARAM_ERR_CIS_LIGHT_B As Integer = &H20311017     '// CIS Light Incorrect Lib "SkDvSrSeries.dll" (B)
    Public Const SKDV_STS_PARAM_ERR_RESOLUTION As Integer = &H20311018      '// Resolution Incorrect
    '// Public Const    SKDV_STS_PARAM_ERR_RESOLUTION_V = &H20311019        '//  Lib "SkDvSrSeries.dll" (Reserved)Resolution Incorrect

    '// Public Const    SKDV_STS_INTERFACE_ERR = &H20311020                 '//  Lib "SkDvSrSeries.dll" (Reserved)Interface error
    Public Const SKDV_STS_CIS_BASE_DATA_ERR As Integer = &H20311021         '// CIS Base data Incorrect

    Public Const SKDV_STS_NO_DATA As Integer = &H20311100                   '// No Data
    '// Public Const SKDV_STS_ADJ_SHADE_ERR = &H20311101                    '//  Lib "SkDvSrSeries.dll" (Reserved)
    Public Const SKDV_STS_ROTATION_ERR As Integer = &H20311102              '// Rotation Error

    Public Const SKDV_STS_IMAGE_PROCESS_ERR As Integer = &H203111FF         '// Image Process Error

    Public Const SKDV_STS_FILE_ERR As Integer = &H20311200                  '// File Error
    Public Const SKDV_STS_FILE_SAVE_ERR As Integer = &H20311201             '// File Save Error
    Public Const SKDV_STS_FILE_LOAD_ERR As Integer = &H20311211             '// File Load Error
    Public Const SKDV_STS_FILE_FORMAT_ERR As Integer = &H20311231           '// File Format Error

    '// Public Const SKDV_STS_DV_IMAGE_ERR      =   &H2031130X              '// Image data error  Lib "SkDvSrSeries.dll" (from OMR device)
    Public Const SKDV_STS_DV_IMAGE_ERR As Integer = &H20311301              '// Failure image data Transfer  Lib "SkDvSrSeries.dll" (from OMR device)
    '// Public Const SKDV_STS_DV_IMAGE_SHORTAGE = &H20311301                '//  Lib "SkDvSrSeries.dll" (Reserved)
    '// Public Const SKDV_STS_DV_IMAGE_OVER_LEN = &H20311302                '//  Lib "SkDvSrSeries.dll" (Reserved)
    '// Public Const SKDV_STS_DV_IMAGE_ERR_UNKNOWN = &H2031130F             '//  Lib "SkDvSrSeries.dll" (Reserved)

    '// Public Const SKDV_STS_IMAGE_DATA_ERR = &H2031131X                   '// Image Data error
    Public Const SKDV_STS_NO_IMAGE As Integer = &H20311311                  '// No Image
    Public Const SKDV_STS_OVER_LENGTH_IMAGE As Integer = &H20311312         '// Image data Overloaded
    Public Const SKDV_STS_DIFF_IMAGE_WIDTH As Integer = &H20311313          '// Image Width Different
    Public Const SKDV_STS_DIFF_IMAGE_HEIGHT As Integer = &H20311314         '// Image Height different
    Public Const SKDV_STS_IMAGE_LENGTH_ERR As Integer = &H20311315          '// Image Length Error

    '// Public Const    SKDV_STS_RECVED_NAK = &H2031210X    '// NAKreceived
    Public Const SKDV_STS_RECVED_NAK_CMD As Integer = &H20312101            '// NAKreceived  Lib "SkDvSrSeries.dll" (Command Error)
    Public Const SKDV_STS_RECVED_NAK_PRM As Integer = &H20312102            '// NAKreceived  Lib "SkDvSrSeries.dll" (Parameter Error)
    Public Const SKDV_STS_RECVED_NAK_NON As Integer = &H20312103            '// NAKreceived  Lib "SkDvSrSeries.dll" (Non Support)
    Public Const SKDV_STS_RECVED_NAK_OPE As Integer = &H20312104            '// NAKreceived  Lib "SkDvSrSeries.dll" (LCD panel operation)
    Public Const SKDV_STS_RECVED_NAK_DOING As Integer = &H20312105          '// NAKreceived  Lib "SkDvSrSeries.dll" (Operating unit)
    Public Const SKDV_STS_RECVED_NAK_UNKNOWN As Integer = &H2031210F        '// NAKreceived  Lib "SkDvSrSeries.dll" (Unknown)

    Public Const SKDV_STS_RECV_ACK_TIMEOUT As Integer = &H20312200          '// Timeout  Lib "SkDvSrSeries.dll" (ACKreceived)
    Public Const SKDV_STS_RECV_RES_TIMEOUT As Integer = &H20312201          '// Timeout  Lib "SkDvSrSeries.dll" (Response received)
    Public Const SKDV_STS_DIFF_ACK_CMD As Integer = &H20312210              '// CMD code of ACK is Different
    Public Const SKDV_STS_DIFF_RES_CMD As Integer = &H20312211              '// CMD code of response is Different
    Public Const SKDV_STS_SHORT_RESPONSE_ERR As Integer = &H20312220        '// The length of response is short
    Public Const SKDV_STS_LONG_RESPONSE_ERR As Integer = &H20312221         '// The length of response is long
    Public Const SKDV_STS_RESPONSE_FORMAT_ERR As Integer = &H20312222       '// Incorrect response format
    Public Const SKDV_STS_DIFF_PRM As Integer = &H20312223                  '// Different Parameter

    '// Public Const    SKDV_STS_CALIB  = &H203130XX                        '// Calibration Error
    Public Const SKDV_STS_CALIB As Integer = &H20313000                     '// Calibration Error
    Public Const SKDV_STS_CALIB_MASK As Integer = &HFFFFFF00                '// Bit mask of Calibration Error
    '// Backgraund check
    Public Const SKDV_STS_CALIB_CHK_BG_EVEN_BL_F_ERR As Integer = &H20313010    '// Different the data when LED off  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CHK_BG_EVEN_BL_B_ERR As Integer = &H20313011    '// Different the data when LED off  Lib "SkDvSrSeries.dll" (Back)
    Public Const SKDV_STS_CALIB_CHK_BG_EVEN_WH_F_ERR As Integer = &H20313012    '// Different the data when LED On  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CHK_BG_EVEN_WH_B_ERR As Integer = &H20313013    '// Different the data when LED On  Lib "SkDvSrSeries.dll" (Back)
    Public Const SKDV_STS_CALIB_CHK_BG_DIFF_F_ERR As Integer = &H20313014       '// Gap is big between LED ON / OFF  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CHK_BG_DIFF_B_ERR As Integer = &H20313015       '// Gap is big between LED ON / OFF  Lib "SkDvSrSeries.dll" (Back)
    '// CIS base level check Lib "SkDvSrSeries.dll" (scattering)
    Public Const SKDV_STS_CALIB_CIS_BS_BLACK_EVEN_F_ERR As Integer = &H20313020 '// Difference Black Level  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CIS_BS_BLACK_EVEN_B_ERR As Integer = &H20313021 '// Difference Black Level  Lib "SkDvSrSeries.dll" (Back)
    Public Const SKDV_STS_CALIB_CIS_BS_WHITE_EVEN_F_ERR As Integer = &H20313022 '// Difference White Level  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CIS_BS_WHITE_EVEN_B_ERR As Integer = &H20313023 '// Difference White Level  Lib "SkDvSrSeries.dll" (Back)
    Public Const SKDV_STS_CALIB_CIS_BS_RED_EVEN_F_ERR As Integer = &H20313024   '// Difference Red Level  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CIS_BS_RED_EVEN_B_ERR As Integer = &H20313025   '// Difference Red Level  Lib "SkDvSrSeries.dll" (Back)
    Public Const SKDV_STS_CALIB_CIS_BS_GREEN_EVEN_F_ERR As Integer = &H20313026 '// Difference Green Level  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CIS_BS_GREEN_EVEN_B_ERR As Integer = &H20313027 '// Difference Green Level  Lib "SkDvSrSeries.dll" (Back)
    Public Const SKDV_STS_CALIB_CIS_BS_BLUE_EVEN_F_ERR As Integer = &H20313028  '// Difference Blue Level  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CIS_BS_BLUE_EVEN_B_ERR As Integer = &H20313029  '// Difference Blue Level  Lib "SkDvSrSeries.dll" (Back)
    '// CIS base level check Lib "SkDvSrSeries.dll" (value)
    Public Const SKDV_STS_CALIB_CIS_BS_BLACK_UPPER_F_ERR As Integer = &H20313030 '// Black Level Max  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CIS_BS_BLACK_UPPER_B_ERR As Integer = &H20313031 '// Black Level Max  Lib "SkDvSrSeries.dll" (Back)
    Public Const SKDV_STS_CALIB_CIS_BS_WHITE_RANGE_F_ERR As Integer = &H20313032 '// White Level calibration Range  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CIS_BS_WHITE_RANGE_B_ERR As Integer = &H20313033 '// White Level Calibration Range  Lib "SkDvSrSeries.dll" (Back)
    Public Const SKDV_STS_CALIB_CIS_BS_RED_RANGE_F_ERR As Integer = &H20313034  '// Red Level calibration Range  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CIS_BS_RED_RANGE_B_ERR As Integer = &H20313035  '// Red Level calibration Range  Lib "SkDvSrSeries.dll" (Back)
    Public Const SKDV_STS_CALIB_CIS_BS_GREEN_RANGE_F_ERR As Integer = &H20313036 '// Green Level calibration Range  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CIS_BS_GREEN_RANGE_B_ERR As Integer = &H20313037 '// Green Level calibration Range  Lib "SkDvSrSeries.dll" (Back)
    Public Const SKDV_STS_CALIB_CIS_BS_BLUE_RANGE_F_ERR As Integer = &H20313038 '// Blue Level calibration Range  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CIS_BS_BLUE_RANGE_B_ERR As Integer = &H20313039 '// Blue Level calibration Range  Lib "SkDvSrSeries.dll" (Back)
    '// Platen check
    Public Const SKDV_STS_CALIB_CHK_PL_UPPER_F_ERR As Integer = &H20313040  '// Platen detects too White  Lib "SkDvSrSeries.dll" (Front)
    Public Const SKDV_STS_CALIB_CHK_PL_UPPER_B_ERR As Integer = &H20313041  '// Platen detects too White  Lib "SkDvSrSeries.dll" (Back)

    '// Public Const    SKDV_STS_CALIB_LEFTSKEW = &H203131XX                '// Left Skew Level Calibration Error
    Public Const SKDV_STS_CALIB_LS_UPPER_LEVEL_ERR As Integer = &H20313101  '// Left Skew Level High
    Public Const SKDV_STS_CALIB_LS_UNDER_LEVEL_ERR As Integer = &H20313102  '// Left Skew Level Low


    '// Public Const    SKDV_STS_USER           = &H2031fXXX                '// User operation
    Public Const SKDV_STS_USER_CANCEL As Integer = &H2031F001               '// User Cancel


    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '// SR-Series
    '//-----+-------+-------+-------+-------+-------+-------+-------+
    Public Const SKDV_STS_DEVICE_ST_MASK As Integer = &HFFFFF800            '// Bit mask of status code from the device
    Public Const SKDV_STS_DEVICE_STA_MASK As Integer = &HFFFFFF80           '// Bit mask of status code from the device
    Public Const SKDV_STS_DEVICE_FACE_MASK As Integer = &H60                '// Bit mask of information from the device front and back
    Public Const SKDV_STS_DEVICE_DIF_MASK As Integer = &H1F                 '// Bit mask for detailed information from the device

    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '//                                = &Hffffff80                         '// Bit mask of status code from the device
    '// "A*"Main unit
    Public Const SKDV_STS_DEVICE_ST_A1 As Integer = &H20020880 '// "A1"Memory Error 1  Lib "SkDvSrSeries.dll" (Internal Memory Error)
    Public Const SKDV_STS_DEVICE_ST_A2 As Integer = &H20020900 '// "A2"Memory Error 2  Lib "SkDvSrSeries.dll" (Internal Memory Error)
    Public Const SKDV_STS_DEVICE_ST_A3 As Integer = &H20020980 '// "A3"Hopper Drive Error
    Public Const SKDV_STS_DEVICE_ST_A4 As Integer = &H20020A00 '// "A4"Download Error  Lib "SkDvSrSeries.dll" (Main Unit)
    Public Const SKDV_STS_DEVICE_ST_A5 As Integer = &H20020A80 '// "A5"Sensor Type Error
    Public Const SKDV_STS_DEVICE_ST_A6 As Integer = &H20020B00 '// "A6"Option Error
    Public Const SKDV_STS_DEVICE_ST_A8 As Integer = &H20020C00 '// "A8"Power Supply Error
    '// "B*"Reading unit
    Public Const SKDV_STS_DEVICE_ST_B1 As Integer = &H20021080 '// "B1"Communication Error
    Public Const SKDV_STS_DEVICE_ST_B2 As Integer = &H20021100 '// "B2"Internal COM Error  Lib "SkDvSrSeries.dll" (No response Read Sensor)
    Public Const SKDV_STS_DEVICE_ST_B3 As Integer = &H20021180 '// "B3"Memory Error  Lib "SkDvSrSeries.dll" (in Read Sensor)
    Public Const SKDV_STS_DEVICE_ST_B4 As Integer = &H20021200 '// "B4"Adjust Value Error  Lib "SkDvSrSeries.dll" (Read Sensor)
    Public Const SKDV_STS_DEVICE_ST_B5 As Integer = &H20021280 '// "B5"Download Error  Lib "SkDvSrSeries.dll" (Read Sensor)
    Public Const SKDV_STS_DEVICE_ST_B6 As Integer = &H20021300 '// "B6"Internal Error  Lib "SkDvSrSeries.dll" (Read Sensor)
    Public Const SKDV_STS_DEVICE_ST_B7 As Integer = &H20021380 '// "B7"Version Error Lib "SkDvSrSeries.dll" (Read Sensor)
    '// "C*"Barcode unit
    Public Const SKDV_STS_DEVICE_ST_C1 As Integer = &H20021880 '// "C1"Communication Error  Lib "SkDvSrSeries.dll" (Barcode Unit)
    Public Const SKDV_STS_DEVICE_ST_C2 As Integer = &H20021900 '// "C2"Internal COM Error  Lib "SkDvSrSeries.dll" (Barcode Unit)
    Public Const SKDV_STS_DEVICE_ST_C3 As Integer = &H20021980 '// "C3"Memory Error  Lib "SkDvSrSeries.dll" (Barcode Unit)
    Public Const SKDV_STS_DEVICE_ST_C4 As Integer = &H20021A00 '// "C4"Sensor Error  Lib "SkDvSrSeries.dll" (Barcode Unit)
    Public Const SKDV_STS_DEVICE_ST_C5 As Integer = &H20021A80 '// "C5"Download Error  Lib "SkDvSrSeries.dll" (Barcode Unit)
    Public Const SKDV_STS_DEVICE_ST_C6 As Integer = &H20021B00 '// "C6"Internal Error  Lib "SkDvSrSeries.dll" (Barcode Unit)
    Public Const SKDV_STS_DEVICE_ST_C7 As Integer = &H20021B80 '// "C7"Version Error  Lib "SkDvSrSeries.dll" (Barcode Unit)
    '// "D*"Printer unit
    Public Const SKDV_STS_DEVICE_ST_D1 As Integer = &H20022080 '// "D1"Communication Error Lib "SkDvSrSeries.dll" (Printer Unit)
    Public Const SKDV_STS_DEVICE_ST_D2 As Integer = &H20022100 '// "D2"Internal COM Error  Lib "SkDvSrSeries.dll" (Printer Unit)
    Public Const SKDV_STS_DEVICE_ST_D3 As Integer = &H20022180 '// "D3"Memory Error  Lib "SkDvSrSeries.dll" (Printer Unit)
    Public Const SKDV_STS_DEVICE_ST_D4 As Integer = &H20022200 '// "D4"Download Error  Lib "SkDvSrSeries.dll" (Printer Unit)
    Public Const SKDV_STS_DEVICE_ST_D5 As Integer = &H20022280 '// "D5"Internal Error  Lib "SkDvSrSeries.dll" (Printer Unit)
    Public Const SKDV_STS_DEVICE_ST_D6 As Integer = &H20022300 '// "D6"Version Error  Lib "SkDvSrSeries.dll" (Printer Unit)
    '// "E*"Stacker unit
    Public Const SKDV_STS_DEVICE_ST_E1 As Integer = &H20022880 '// "E1"Communication Error  Lib "SkDvSrSeries.dll" (Stacker Unit)
    Public Const SKDV_STS_DEVICE_ST_E2 As Integer = &H20022900 '// "E2"Internal COM Error  Lib "SkDvSrSeries.dll" (Stacker Unit)
    Public Const SKDV_STS_DEVICE_ST_E3 As Integer = &H20022980 '// "E3"Memory Error  Lib "SkDvSrSeries.dll" (Stacker Unit)
    Public Const SKDV_STS_DEVICE_ST_E4 As Integer = &H20022A00 '// "E4"Download Error  Lib "SkDvSrSeries.dll" (Stacker Unit)
    Public Const SKDV_STS_DEVICE_ST_E5 As Integer = &H20022A80 '// "E5"Internal Error  Lib "SkDvSrSeries.dll" (Stacker Unit)
    Public Const SKDV_STS_DEVICE_ST_E6 As Integer = &H20022B00 '// "E6"Version Error  Lib "SkDvSrSeries.dll" (Stacker Unit)
    '// "J*"Image reading unit
    Public Const SKDV_STS_DEVICE_ST_J1 As Integer = &H20025080 '// "J1"Download Error  Lib "SkDvSrSeries.dll" (Image Sensor Unit)
    Public Const SKDV_STS_DEVICE_ST_J2 As Integer = &H20025100 '// "J2"Internal COM Error 1  Lib "SkDvSrSeries.dll" (Image Sensor Unit)
    Public Const SKDV_STS_DEVICE_ST_J3 As Integer = &H20025180 '// "J3"Internal COM Error 1  Lib "SkDvSrSeries.dll" (Image Sensor Unit)
    Public Const SKDV_STS_DEVICE_ST_J4 As Integer = &H20025200 '// "J4"Memory Error 1  Lib "SkDvSrSeries.dll" (Image Sensor Unit / Flash Rom Read Error)
    Public Const SKDV_STS_DEVICE_ST_J5 As Integer = &H20025280 '// "J5"Memory Error 2  Lib "SkDvSrSeries.dll" (Image Sensor Unit / Flash Rom Load Error)
    Public Const SKDV_STS_DEVICE_ST_J6 As Integer = &H20025300 '// "J6"Memory Error 3  Lib "SkDvSrSeries.dll" (Image Sensor Unit / E2PROM Read Error)
    Public Const SKDV_STS_DEVICE_ST_J7 As Integer = &H20025380 '// "J7"Memory Error 4  Lib "SkDvSrSeries.dll" (Image Sensor Unit / E2PROM Load Error)
    Public Const SKDV_STS_DEVICE_ST_J8 As Integer = &H20025400 '// "J8"IC Error  Lib "SkDvSrSeries.dll" (Image Sensor Unit)
    Public Const SKDV_STS_DEVICE_ST_J9 As Integer = &H20025480 '// "J9"CIS Error  Lib "SkDvSrSeries.dll" (Image Sensor Unit)
    Public Const SKDV_STS_DEVICE_ST_K1 As Integer = &H20025880 '// "K1"FPGA Error  Lib "SkDvSrSeries.dll" (Image Sensor Unit)
    Public Const SKDV_STS_DEVICE_ST_K2 As Integer = &H20025900 '// "K2"Power Supply Error  Lib "SkDvSrSeries.dll" (Image Sensor Unit)
    Public Const SKDV_STS_DEVICE_ST_K3 As Integer = &H20025980 '// "K3"Version Error  Lib "SkDvSrSeries.dll" (Image Sensor Unit)
    '// "F*"Communication error
    Public Const SKDV_STS_DEVICE_ST_F5 As Integer = &H20023280 '// "F5"Command Error
    Public Const SKDV_STS_DEVICE_ST_F6 As Integer = &H20023300 '// "F6"Parameter Error
    Public Const SKDV_STS_DEVICE_ST_F7 As Integer = &H20023380 '// "F7"Protocol Error
    '// "G*"Cover open
    Public Const SKDV_STS_DEVICE_ST_G1 As Integer = &H20023880 '// "G1"Cover Open
    Public Const SKDV_STS_DEVICE_ST_G2 As Integer = &H20023900 '// "G2"Stacker Unit Cover Open
    '// "H*"Jam
    Public Const SKDV_STS_DEVICE_ST_H1 As Integer = &H20024080 '// "H1"No Feed
    Public Const SKDV_STS_DEVICE_ST_H2 As Integer = &H20024100 '// "H2"Jam at Paper Feeding Detection Sensor
    Public Const SKDV_STS_DEVICE_ST_H3 As Integer = &H20024180 '// "H3"Jam at Reading Start Detection Sensor
    Public Const SKDV_STS_DEVICE_ST_H4 As Integer = &H20024200 '// "H4"Jam at Main body Paper Discharge Detection Sensor
    '// "I*"Stacker unit Jam
    Public Const SKDV_STS_DEVICE_ST_I1 As Integer = &H20024880 '// "I1"Jam at Printing Start Detection Sensor
    Public Const SKDV_STS_DEVICE_ST_I2 As Integer = &H20024900 '// "I2"Jam at Main Paper Discharge Sensor
    Public Const SKDV_STS_DEVICE_ST_I3 As Integer = &H20024980 '// "I3"Jam at Selected  Lib "SkDvSrSeries.dll" (Reject) Paper Discharge Sensor
    '// "P*"
    Public Const SKDV_STS_DEVICE_ST_P1 As Integer = &H20028080 '// "P1"Back Surface Reading Unit Unconnected
    Public Const SKDV_STS_DEVICE_ST_P2 As Integer = &H20028100 '// "P2"Barcode Unit Unconnected
    Public Const SKDV_STS_DEVICE_ST_P3 As Integer = &H20028180 '// "P3"Printer Unit Unconnected
    Public Const SKDV_STS_DEVICE_ST_P4 As Integer = &H20028200 '// "P4"Select Stacker Unit Unconnected
    Public Const SKDV_STS_DEVICE_ST_P5 As Integer = &H20028280 '// "P5"Image Sensor Unit Unconnected
    '// "Q*"
    Public Const SKDV_STS_DEVICE_ST_Q1 As Integer = &H20028880 '// "Q1"Sheet Empty
    Public Const SKDV_STS_DEVICE_ST_Q2 As Integer = &H20028900 '// "Q2"Double Feed Error
    Public Const SKDV_STS_DEVICE_ST_Q3 As Integer = &H20028980 '// "Q3"Left End Skew Error
    Public Const SKDV_STS_DEVICE_ST_Q4 As Integer = &H20028A00 '// "Q4"Mark Skew Error
    '// "R*"
    Public Const SKDV_STS_DEVICE_ST_R1 As Integer = &H20029080 '// "R1"Hopper Stops
    Public Const SKDV_STS_DEVICE_ST_R2 As Integer = &H20029100 '// "R2"Drowing Out Error
    Public Const SKDV_STS_DEVICE_ST_R3 As Integer = &H20029180 '// "R3"Timeout
    Public Const SKDV_STS_DEVICE_ST_R4 As Integer = &H20029200 '// "R4"Timing Mark Error
    Public Const SKDV_STS_DEVICE_ST_R5 As Integer = &H20029280 '// "R5"Setting Error
    Public Const SKDV_STS_DEVICE_ST_R6 As Integer = &H20029300 '// "R6"Memory Overflow
    '// "S*"
    Public Const SKDV_STS_DEVICE_ST_S2 As Integer = &H20029900 '// "S2"Black Level Error
    Public Const SKDV_STS_DEVICE_ST_S3 As Integer = &H20029980 '// "S3"Read Sensor Stain Error
    Public Const SKDV_STS_DEVICE_ST_S4 As Integer = &H20029A00 '// "S4"Skew Sensor Stain Error
    '// "T*"
    Public Const SKDV_STS_DEVICE_ST_T1 As Integer = &H2002A080 '// "T1"Form Left In Hopper
    Public Const SKDV_STS_DEVICE_ST_T2 As Integer = &H2002A100 '// "T2"Form Left in Reading Sensor
    Public Const SKDV_STS_DEVICE_ST_T3 As Integer = &H2002A180 '// "T3"Form Left in End of Main Body
    Public Const SKDV_STS_DEVICE_ST_T4 As Integer = &H2002A200 '// "T4"Form Left in Printer Printing Detection Sensor
    Public Const SKDV_STS_DEVICE_ST_T5 As Integer = &H2002A280 '// "T5"Form Left in Main paper Discharge Sensor
    Public Const SKDV_STS_DEVICE_ST_T6 As Integer = &H2002A300 '// "T6"Form Left in Selected  Lib "SkDvSrSeries.dll" (Reject) Paper Discharge Sensor
    '// "Z*"
    Public Const SKDV_STS_DEVICE_ST_Z1 As Integer = &H2002D080 '// "Z1"Density adjust Skew Error
    Public Const SKDV_STS_DEVICE_ST_Z2 As Integer = &H2002D100 '// "Z2"Density adjust Sheet Error
    Public Const SKDV_STS_DEVICE_ST_Z3 As Integer = &H2002D180 '// "Z3"Dirt Density adjust Sheet
    Public Const SKDV_STS_DEVICE_ST_Z4 As Integer = &H2002D200 '// "Z4"Density adjust Error
    Public Const SKDV_STS_DEVICE_ST_Z5 As Integer = &H2002D280 '// "Z5"RDPS adjust Error
    Public Const SKDV_STS_DEVICE_ST_Z6 As Integer = &H2002D300 '// "Z6"Skew Sensor Adjust Error
    Public Const SKDV_STS_DEVICE_ST_Z7 As Integer = &H2002D380 '// "Z7"DF sensor Adjust Error


    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '//                                 = &Hfffff800
    Public Const SKDV_STS_DEVICE_STS1_NONE As Integer = &H20020000 '// "0*"
    Public Const SKDV_STS_DEVICE_STS1_A As Integer = &H20020800 '// "A*"
    Public Const SKDV_STS_DEVICE_STS1_B As Integer = &H20021000 '// "B*"
    Public Const SKDV_STS_DEVICE_STS1_C As Integer = &H20021800 '// "C*"
    Public Const SKDV_STS_DEVICE_STS1_D As Integer = &H20022000 '// "D*"
    Public Const SKDV_STS_DEVICE_STS1_E As Integer = &H20022800 '// "E*"
    Public Const SKDV_STS_DEVICE_STS1_F As Integer = &H20023000 '// "F*"
    Public Const SKDV_STS_DEVICE_STS1_G As Integer = &H20023800 '// "G*"
    Public Const SKDV_STS_DEVICE_STS1_H As Integer = &H20024000 '// "H*"
    Public Const SKDV_STS_DEVICE_STS1_I As Integer = &H20024800 '// "I*"
    Public Const SKDV_STS_DEVICE_STS1_J As Integer = &H20025000 '// "J*"
    Public Const SKDV_STS_DEVICE_STS1_K As Integer = &H20025800 '// "K*"
    Public Const SKDV_STS_DEVICE_STS1_L As Integer = &H20026000 '// "L*"
    Public Const SKDV_STS_DEVICE_STS1_M As Integer = &H20026800 '// "M*"
    Public Const SKDV_STS_DEVICE_STS1_N As Integer = &H20027000 '// "N*"
    Public Const SKDV_STS_DEVICE_STS1_O As Integer = &H20027800 '// "O*"
    Public Const SKDV_STS_DEVICE_STS1_P As Integer = &H20028000 '// "P*"
    Public Const SKDV_STS_DEVICE_STS1_Q As Integer = &H20028800 '// "Q*"
    Public Const SKDV_STS_DEVICE_STS1_R As Integer = &H20029000 '// "R*"
    Public Const SKDV_STS_DEVICE_STS1_S As Integer = &H20029800 '// "S*"
    Public Const SKDV_STS_DEVICE_STS1_T As Integer = &H2002A000 '// "T*"
    Public Const SKDV_STS_DEVICE_STS1_U As Integer = &H2002A800 '// "U*"
    Public Const SKDV_STS_DEVICE_STS1_V As Integer = &H2002B000 '// "V*"
    Public Const SKDV_STS_DEVICE_STS1_W As Integer = &H2002B800 '// "W*"
    Public Const SKDV_STS_DEVICE_STS1_X As Integer = &H2002C000 '// "X*"
    Public Const SKDV_STS_DEVICE_STS1_Y As Integer = &H2002C800 '// "Y*"
    Public Const SKDV_STS_DEVICE_STS1_Z As Integer = &H2002D000 '// "Z*"
    Public Const SKDV_STS_DEVICE_STS1_AT As Integer = &H2002F800 '// "@*"

    '//-----+-------+-------+-------+-------+-------+-------+-------+
    Public Const SKDV_STS_DEVICE_STS2_0 As Integer = &H0    '// "*0"
    Public Const SKDV_STS_DEVICE_STS2_1 As Integer = &H80   '// "*1"
    Public Const SKDV_STS_DEVICE_STS2_2 As Integer = &H100  '// "*2"
    Public Const SKDV_STS_DEVICE_STS2_3 As Integer = &H180  '// "*3"
    Public Const SKDV_STS_DEVICE_STS2_4 As Integer = &H200  '// "*4"
    Public Const SKDV_STS_DEVICE_STS2_5 As Integer = &H280  '// "*5"
    Public Const SKDV_STS_DEVICE_STS2_6 As Integer = &H300  '// "*6"
    Public Const SKDV_STS_DEVICE_STS2_7 As Integer = &H380  '// "*7"
    Public Const SKDV_STS_DEVICE_STS2_8 As Integer = &H400  '// "*8"
    Public Const SKDV_STS_DEVICE_STS2_9 As Integer = &H480  '// "*9"
    Public Const SKDV_STS_DEVICE_STS2_AT As Integer = &H780 '// "*@"

    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '//                             = &H00000060            '// Information from side of the device
    Public Const SKDV_STS_DEVICE_FACE_BOTH As Integer = &H0     '// Both
    Public Const SKDV_STS_DEVICE_FACE_FRONT As Integer = &H20   '// Front
    Public Const SKDV_STS_DEVICE_FACE_BACK As Integer = &H40    '// Back
    Public Const SKDV_STS_DEVICE_FACE_SAME As Integer = &H60    '// Same

    '//-----+-------+-------+-------+-------+-------+-------+-------+
    '//                             = &H0000001f            '// More information from the device
    Public Const SKDV_STS_DEVICE_DIF_NONE As Integer = &H0 '// "0"
    Public Const SKDV_STS_DEVICE_DIF_A As Integer = &H1 '// "A"
    Public Const SKDV_STS_DEVICE_DIF_B As Integer = &H2 '// "B"
    Public Const SKDV_STS_DEVICE_DIF_C As Integer = &H3 '// "C"
    Public Const SKDV_STS_DEVICE_DIF_D As Integer = &H4 '// "D"
    Public Const SKDV_STS_DEVICE_DIF_E As Integer = &H5 '// "E"
    Public Const SKDV_STS_DEVICE_DIF_F As Integer = &H6 '// "F"
    Public Const SKDV_STS_DEVICE_DIF_G As Integer = &H7 '// "G"
    Public Const SKDV_STS_DEVICE_DIF_H As Integer = &H8 '// "H"
    Public Const SKDV_STS_DEVICE_DIF_I As Integer = &H9 '// "I"
    Public Const SKDV_STS_DEVICE_DIF_J As Integer = &HA '// "J"
    Public Const SKDV_STS_DEVICE_DIF_K As Integer = &HB '// "K"
    Public Const SKDV_STS_DEVICE_DIF_L As Integer = &HC '// "L"
    Public Const SKDV_STS_DEVICE_DIF_M As Integer = &HD '// "M"
    Public Const SKDV_STS_DEVICE_DIF_N As Integer = &HE '// "N"
    Public Const SKDV_STS_DEVICE_DIF_O As Integer = &HF '// "O"
    Public Const SKDV_STS_DEVICE_DIF_P As Integer = &H10 '// "P"
    Public Const SKDV_STS_DEVICE_DIF_Q As Integer = &H11 '// "Q"
    Public Const SKDV_STS_DEVICE_DIF_R As Integer = &H12 '// "R"
    Public Const SKDV_STS_DEVICE_DIF_S As Integer = &H13 '// "S"
    Public Const SKDV_STS_DEVICE_DIF_T As Integer = &H14 '// "T"
    Public Const SKDV_STS_DEVICE_DIF_U As Integer = &H15 '// "U"
    Public Const SKDV_STS_DEVICE_DIF_V As Integer = &H16 '// "V"
    Public Const SKDV_STS_DEVICE_DIF_W As Integer = &H17 '// "W"
    Public Const SKDV_STS_DEVICE_DIF_X As Integer = &H18 '// "X"
    Public Const SKDV_STS_DEVICE_DIF_Y As Integer = &H19 '// "Y"
    Public Const SKDV_STS_DEVICE_DIF_Z As Integer = &H1A '// "Z"
    Public Const SKDV_STS_DEVICE_DIF_AT As Integer = &H1F '// "@"
End Module